#ifndef _COMMON_H
#define _COMMON_H

#include <stdint.h>
#include <stdlib.h>
#include <setjmp.h>

extern jmp_buf* err_return;

void die(const char s[], ...) __attribute__ ((format (printf, 1, 2)));
void *my_alloc(size_t len, const char *name);
void *my_realloc(void *p, size_t len, size_t oldlen, const char *name);
char *my_strdup(const char *s, const char *name);
void *_my_free(void *p);
#define my_free(x) x=_my_free(x)

#endif // ndef _COMMON_H
